No Description
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
Paul Frazee 316e9a6c78 fix: feed page now correctly loads-more 4 years ago
api move ssb-patchwork-api and ssb-patchwork-ui into this repo 4 years ago
app move ssb-patchwork-api and ssb-patchwork-ui into this repo 4 years ago
assets update icon 4 years ago
scripts add assets and config for packaging 4 years ago
ui fix: feed page now correctly loads-more 4 years ago
.gitignore move ssb-patchwork-api and ssb-patchwork-ui into this repo 4 years ago
.npmignore add dist to npmignore 4 years ago
.nvmrc add .nvmrc for easy `nvm use` 4 years ago
README.md update readme 4 years ago
package.json small build:ui tweak 4 years ago
packager.json update installer bg and title 4 years ago
screenshot.png update readme 4 years ago

README.md

Patchwork

screenshot

Patchwork is a decentralized sharing app. It was built for friends of the SSB project, to test basic functions. We use it as a test-bed for features, and for our own daily messaging.

Because SSB is a research project, you’ll need to contact an SSB team member (in #scuttlebutt on Freenode) to get onto the network! That’s our informal barrier to entry right now, since we’re not prepared for lots of users yet.

Hermies the Hermit Crab

Patchwork embeds Scuttlebot, so if you’re running Patchwork, you don’t need to run another scuttlebot server.

Running Patchwork

Current install steps are:

# ubuntu
apt-get install automake libtool
# osx
brew install automake libtool

Also, you’ll need to use iojs@2. The easiest way to get this is nvm.

nvm install iojs-v2.5.0

Then, install the software:

git clone https://github.com/ssbc/patchwork.git
cd patchwork
npm install
npm start

And then join a pub server.

Development & App-building :

Dependencies

# Linux dependencies
add-apt-repository ppa:ubuntu-wine/ppa -y
apt-get update
apt-get install nsis wine

# OSX dependencies
brew install makensis wine
npm install -d
npm run build
npm run pack

Relevant docs: